Skip to main content
GET
/
dev
/
v1
/
affiliates
/
payout-requests
List affiliate payout requests
curl --request GET \
  --url https://api.shoppex.io/dev/v1/affiliates/payout-requests \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "payout_requests": [
      {
        "id": "claim_1",
        "affiliate_customer_id": "cus_1",
        "affiliate_link_id": "alink_1",
        "affiliate_code": "creator",
        "affiliate_email": "creator@example.com",
        "affiliate_name": "Creator",
        "status": "pending",
        "amount": 12,
        "currency": "USD",
        "payout_asset": "USDT",
        "payout_network": "TRON",
        "payout_address": "TQ2nBylQp1n7hT8t9r3V7A4C6X9K1M2P3Q",
        "note": "Weekly payout",
        "created_at": "2026-03-15T10:00:00.000Z",
        "updated_at": "2026-03-15T11:00:00.000Z",
        "completed_at": null,
        "rejected_at": null,
        "cancelled_at": null
      }
    ],
    "page": 1,
    "limit": 25,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Query Parameters

status
string
page
string
limit
string
affiliate_customer_id
string

Response

200 - application/json

Successful response

data
object[]
pagination
object